> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reveal Portal Password



## OpenAPI

````yaml /openapi.json post /v1/workspaces/{workspaceId}/contacts/companies/{companyId}/portal-password/reveal
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/contacts/companies/{companyId}/portal-password/reveal:
    post:
      tags:
        - Companies
      summary: Reveal Portal Password
      operationId: CompaniesController_revealPortalPassword_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: companyId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RevealPortalPasswordResponseDto'
components:
  schemas:
    RevealPortalPasswordResponseDto:
      type: object
      properties:
        password:
          type: string
          nullable: true
      required:
        - password

````